import { RunnerService, ScanService } from "@odit/lfk-client-node";
import { login } from "../shared/login";

const teamID = 79;
const orgID = -1;
const distanceMeter = 3300;

await login();

const runners = await RunnerService.runnerControllerGetAll();
let filteredRunners = [];

if (teamID !== -1) {
    filteredRunners = runners.filter((r) => r.group.id == teamID);
} else {
    filteredRunners = runners.filter((r) => r.group.id == orgID || r.group.parentGroup?.id == orgID);
}

const scans = [];
for (const runner of filteredRunners) {
    scans.push(ScanService.scanControllerPost({ distance: distanceMeter, runner: runner.id, valid: true }))
}
await Promise.all(scans);